## qygmy-1.0.1.tar.gz

=== Makefile ===

LANGUAGES := pl
PY := $(wildcard qygmy/*.py qygmy/templates/*.py)
UI := $(wildcard qygmy/ui/*.ui)

PRO := qygmy.pro
UIPY := $(UI:.ui=.py)
TS := $(foreach lang,$(LANGUAGES),qygmy/translations/qygmy_$(lang).ts)
QM := $(TS:.ts=.qm)
PY := $(PY) $(UIPY)

UIC := pyside-uic -x
LUPDATE := pyside-lupdate
LRELEASE := lrelease -compress -silent -nounfinished
DCH := dch -D unstable -p --package qygmy

all: ui ts

ui: $(UIPY)

%.py: %.ui
	$(UIC) -o $@ $<

ts: $(QM)

%.qm: %.ts
	$(LRELEASE) $< -qm $@

$(TS): $(PY)
	echo SOURCES = $^ >$(PRO)
	echo TRANSLATIONS = $@ >>$(PRO)
	$(LUPDATE) $(PRO)
	sed 's/filename="qygmy\//filename="..\//g' <$@ >$@.tmp; mv -f $@.tmp $@
	-rm $(PRO)

dch:
	srcver=`./bin/qygmyrun --version | sed -e 's/\.dev/~dev/' -e 's/[a-c]/~\0/'` \
	dchver=`dpkg-parsechangelog --count 1 | grep '^Version: ' | sed 's/^Version:\s\+\([^-]\+\)-.*$$/\1/'` \
	sh -c 'if [ $$srcver != $$dchver ]; then $(DCH) -m -v $$srcver-1; else $(DCH) -m -i; fi'

dchcreate:
	-rm debian/changelog
	$(DCH) -M --create -v `./bin/qygmyrun --version | sed -e 's/\.dev/~dev/' -e 's/[a-c]/~\0/'`-1

dchrelease:
	srcver=`./bin/qygmyrun --version | sed -e 's/\.dev/~dev/' -e 's/[a-c]/~\0/'` \
	dchver=`dpkg-parsechangelog --count 1 | grep '^Version: ' | sed 's/^Version:\s\+\([^-]\+\)-.*$$/\1/'` \
	sh -c 'if [ $$srcver != $$dchver ]; then $(DCH) -m -v $$srcver-1; fi'

clean:
	-rm -rf $(PRO)
	-rm -rf qygmy/ui/[!_]*.py
	-rm -rf qygmy/translations/*.qm
	-rm -rf qygmy/gittimestamp.txt
	-rm -rf __pycache__/
	-rm -rf */__pycache__/
	-rm -rf */*/__pycache__/
	-rm -rf build/
	-rm -rf MANIFEST

.PHONY: all ui ts clean dch dchcreate dchrelease

=== debian/changelog ===
qygmy (1.0.1-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Mon, 29 Jul 2013 16:38:08 +0200

qygmy (1.0-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 18 Jul 2013 16:35:24 +0200

qygmy (1.0~c2-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Wed, 10 Jul 2013 17:30:40 +0200

qygmy (1.0~c1-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Fri, 05 Jul 2013 19:42:32 +0200

qygmy (1.0~b6-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 04 Jul 2013 20:42:48 +0200

qygmy (1.0~b5-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 04 Jul 2013 18:52:05 +0200

qygmy (1.0~b4-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 04 Jul 2013 14:55:05 +0200

qygmy (1.0~b3-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 04 Jul 2013 12:02:21 +0200

qygmy (1.0~b2-1) unstable; urgency=low

  * New release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 04 Jul 2013 11:20:01 +0200

qygmy (1.0~b1-1) unstable; urgency=low

  * Initial release.

 -- tsufeki <tsufeki@ymail.com>  Thu, 04 Jul 2013 10:58:36 +0200

=== debian/control ===
Source: qygmy
Maintainer: tsufeki <tsufeki@ymail.com>
Section: sound
Priority: optional
Build-Depends: python3,
 pyside-tools,
 qt4-linguist-tools,
 debhelper (>= 7.4.3)
X-Python3-Version: >= 3.3
Standards-Version: 3.9.4
Homepage: https://github.com/tsufeki/qygmy
Vcs-Browser: https://github.com/tsufeki/qygmy
Vcs-Git: git://github.com/tsufeki/qygmy.git

Package: qygmy
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-pyside.qtcore (>= 1.1.2-4),
 python3-pyside.qtgui (>= 1.1.2-4),
 python3-mpd2,
 oxygen-icon-theme | hicolor-icon-theme
Provides: mpd-client
Suggests: mpd
Description: Simple graphical MPD client.
 Simple graphical MPD client written in Python and Qt/PySide. It's interface
 is strongly inspired by Pygmy (the GTK client). Qygmy's most remarkable
 feature is its powerful template engine, allowing highly customizable display.
